<?php

namespace App\Controller;

use App\Entity\Account;
use App\Entity\AccountResetPasswordRequest;
use App\Form\RequestPasswordConfirmType;
use App\Form\RequestPasswordRequestType;
use App\Logger\AppLogger;
use App\Service\ResetPassword\Event\ResetPasswordConfirmEvent;
use App\Service\ResetPassword\Event\ResetPasswordEvent;
use Doctrine\ORM\EntityManagerInterface;
use KnpU\OAuth2ClientBundle\Client\ClientRegistry;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\EventDispatcher\EventDispatcherInterface;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\PasswordHasher\Hasher\UserPasswordHasherInterface;
use Symfony\Component\Routing\Attribute\Route;
use Symfony\Component\Security\Http\Authentication\AuthenticationUtils;
use Symfony\Contracts\HttpClient\HttpClientInterface;


class LegalController extends AbstractController
{

    #[Route('/mentions-legal', name: 'mentions-legal')]
    public function mentionsLegal()
    {
        return $this->render('legal/mentions.html.twig');

    }

    #[Route('/cookies', name: 'cookies')]
    public function cookies()
    {
        return $this->render('legal/cookies.html.twig');

    }

    #[Route('/conditions-general-de-vente', name: 'cgv')]
    public function cgv()
    {
        return $this->render('legal/cgv.html.twig');
    }
    #[Route('/donnes-personnelle', name: 'rgpd')]
    public function rgpd()
    {
        return $this->render('legal/rgpd.html.twig');
    }
    #[Route('/hebergement', name: 'hosting')]
    public function hosting()
    {
        return $this->render('legal/hebergement.html.twig');
    }
}
